Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229199 - ia64: Fix noncoherent DMA API so devres builds/restore ia64 builds
Summary: ia64: Fix noncoherent DMA API so devres builds/restore ia64 builds
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Prarit Bhargava
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 15:15 UTC by Prarit Bhargava
Modified: 2008-04-15 17:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-15 17:03:53 UTC


Attachments (Terms of Use)
Patch to fix this issue (deleted)
2007-02-19 15:15 UTC, Prarit Bhargava
no flags Details | Diff
Fix for this issue (deleted)
2007-02-21 13:59 UTC, Prarit Bhargava
no flags Details | Diff
Fix for this issue (deleted)
2007-02-21 14:01 UTC, Prarit Bhargava
no flags Details | Diff

Description Prarit Bhargava 2007-02-19 15:15:00 UTC
Description of problem:

ia64 Compile of Fedora devel/rawhide results in:

drivers/base/dma-mapping.c: In function 'dmam_noncoherent_release':
drivers/base/dma-mapping.c:32: error: 'struct ia64_machine_vector' has no member
named 'platform_dma_free_coherent'
drivers/base/dma-mapping.c: In function 'dmam_alloc_noncoherent':
drivers/base/dma-mapping.c:129: error: 'struct ia64_machine_vector' has no
member named 'platform_dma_alloc_coherent'
drivers/base/dma-mapping.c: In function 'dmam_free_noncoherent':
drivers/base/dma-mapping.c:159: error: 'struct ia64_machine_vector' has no
member named 'platform_dma_free_coherent'
make[2]: *** [drivers/base/dma-mapping.o] Error 1


this was 2.6.20-git10
I'll just disable the ia64 build for now

Version-Release number of selected component (if applicable): 2.6.20-1.2932.fc7


How reproducible: 100%


Steps to Reproduce:
1. make oldconfig; make

Additional info: Dave, after applying please turn on ia64 builds :)

Comment 1 Prarit Bhargava 2007-02-19 15:15:00 UTC
Created attachment 148323 [details]
Patch to fix this issue

Comment 2 Prarit Bhargava 2007-02-19 16:02:16 UTC
Posted to fedora-ia64-list & davej.

P.

Comment 3 Prarit Bhargava 2007-02-21 13:59:40 UTC
Created attachment 148478 [details]
Fix for this issue

Comment 4 Prarit Bhargava 2007-02-21 14:01:59 UTC
Created attachment 148479 [details]
Fix for this issue

Comment 5 Bug Zapper 2008-04-03 19:11:12 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.